org.appng.xml.platform

## Class PageConfig

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Config
    - - org.appng.xml.platform.PageConfig

- All Implemented Interfaces:
    Serializable

      public class PageConfig
      extends Config
      implements Serializable

  The configuration of a page, containing the `UrlSchema`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Linkpanel` | `linkpanel`
    `protected UrlSchema` | `urlSchema`

    - ### Fields inherited from class org.appng.xml.platform.Config

      `description, labels, permissions, templates, textelements, title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Linkpanel` | `getLinkpanel()` Gets the value of the linkpanel property.
    `UrlSchema` | `getUrlSchema()` Gets the value of the urlSchema property.
    `void` | `setLinkpanel(Linkpanel value)` Sets the value of the linkpanel property.
    `void` | `setUrlSchema(UrlSchema value)` Sets the value of the urlSchema property.

    - ### Methods inherited from class org.appng.xml.platform.Config

      `getDescription, getLabels, getPermissions, getTemplates, getTextelements, getTitle, setDescription, setLabels, setPermissions, setTextelements, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### urlSchema

          protected UrlSchema urlSchema

    - #### linkpanel

          protected Linkpanel linkpanel

  - ### Constructor Detail

    - #### PageConfig

          public PageConfig()

  - ### Method Detail

    - #### getUrlSchema

          public UrlSchema getUrlSchema()

      Gets the value of the urlSchema property.
      Returns:
        possible object is `UrlSchema`

    - #### setUrlSchema

          public void setUrlSchema(UrlSchema value)

      Sets the value of the urlSchema property.
      Parameters:
        `value` - allowed object is `UrlSchema`

    - #### getLinkpanel

          public Linkpanel getLinkpanel()

      Gets the value of the linkpanel property.
      Returns:
        possible object is `Linkpanel`

    - #### setLinkpanel

          public void setLinkpanel(Linkpanel value)

      Sets the value of the linkpanel property.
      Parameters:
        `value` - allowed object is `Linkpanel`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.